Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | List of all members
Botan::TLS::detail::fn_signature_helper< R(D::*)(Args...)> Struct Template Reference

`#include <asio_context.h>`

## Public Types
using | type = std::function< R(Args...)>

## Detailed Description

### template<typename R, typename D, typename... Args>
struct Botan::TLS::detail::fn_signature_helper< R(D::*)(Args...)>

Definition at line 35 of file asio_context.h.

## Member Typedef Documentation

template<typename R , typename D , typename... Args>

using Botan::TLS::detail::fn_signature_helper< R(D::*)(Args...)>::type = std::function<R(Args...)>

Definition at line 37 of file asio_context.h.

The documentation for this struct was generated from the following file:

- src/lib/tls/asio/asio_context.h